{% extends 'base.html' %}
{% load static %}
{% block meta %}
	<title>{{prov.prov}}</title>
{% endblock %}

{% block content %}

<div class="container-fluid">
	<div class="row">
		<div class="col-md-8 offset-md-2">
			<div class="rounded-lg border border-dark p-3" style="background: white">
				<div class="text-center">
					<h1>Sebaran kasus Provinsi {{prov.prov}}</h1>
					<h2>{{jum}} Kasus</h2>
				</div>
				<div id="piechart"></div>
			</div>
		</div>	
	</div>
</div>
</br>
<div class="text-center">
	<a type="button" href="{% url 'case:case' %}" class="btn btn-light border border-dark btn-lg font-weight-bold">Kembali</a>
	
</div>
<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script> 

<script type="text/javascript">
	// Load google charts
	google.charts.load('current', {'packages':['corechart']});
	google.charts.setOnLoadCallback(drawChart);

	// Draw the chart and set the chart values
	function drawChart() {
	  var data = google.visualization.arrayToDataTable({{data|safe}});

	  // Optional; add a title and set the width and height of the charts
	  var options = {
	    'pieSliceText': 'value-and-percentage',
        'labels': 'none',
        'height': '500',
      };

	  // Display the chart inside the <div> element with id="piechart"
	  var chart = new google.visualization.PieChart(document.getElementById('piechart'));
	  chart.draw(data, options);
	}
</script>

{% endblock content %}
